haltFile=./.halted
found=0

##### Check for a gksudo (or similar service)
for prog in gksudo beesu gnomesu
do
	which $prog
	if [ $? -eq 0 ]; then 
		found=1
	fi
done

if [ $found -eq 0 ]; then 
	echo -e "\n\nWARNING: There is no 'gksudo', 'kdesudo', 'beesu' or similar available"
	echo "The correct GUI based sudo utility should be installed:"
	echo    "   For gnome desktops, install gksudo "
	echo    "   On Ubuntu, typically:   $ sudo apt-get install gksu"
	echo    "   On Fedora, typically:   $ sudo yum install beesu"
	echo -e "   On openSuse, typically: $ sudo yast2 install gnomesu\n\n"
	# do not stop ... only effects calibration? 
fi
